@import "src/@fuse/scss/fuse";
login {
    #login {
        width: 100%;
        background: white;
        background-size: cover;
        #login-form-wrapper {
            flex: 1 0 auto;
            padding: 32px;
            @include media-breakpoint("xs") {
                padding: 16px;
            }
            .loginRegisterLayout__subHeading {
                position: relative;
            }
            .loginRegisterLayout__subHeading--centered {
                text-align: center;
            }
            .loginRegisterLayout__subHeading {
                position: relative;
            }
            .socialLogin__btnContainer {
                display: -ms-flexbox;
                display: flex;
                justify-content: space-around;
                padding: 30px 0 23px 0;
            }
            .loginRegisterLayout__subHeading--lined .loginRegisterLayout__subHeading__text {
                padding-right: 12px;
                background: #fff;
                z-index: 20;
                position: relative;
                display: inline-block;
                margin: 0 auto;
                padding-left: 12px;
            }
            .loginRegisterLayout__subHeading--lined:before {
                content: "";
                position: relative;
                background: #ccc;
                height: 1px;
                top: 0;
                width: 100%;
                left: 0;
                display: -webkit-box;
                display: -ms-flexbox;
                display: flex;
                -webkit-box-orient: vertical;
                -webkit-box-direction: normal;
                -ms-flex-direction: column;
                flex-direction: column;
                -ms-flex-item-align: center;
                align-self: center;
                position: absolute;
                top: 50%;
                z-index: 1;
            }
            #login-form {
                width: 384px;
                max-width: 384px;
                padding: 32px;
                text-align: center;
                box-shadow: none !important;
                @include mat-elevation(16);
                @include media-breakpoint("xs") {
                    padding: 24px;
                    width: 100%;
                }
                .logo {
                    width: 100%;
                    margin: 32px auto;
                }
                .title {
                    font-size: 20px;
                    margin: 16px 0 32px 0;
                }
                form {
                    width: 100%;
                    text-align: left;
                    mat-form-field {
                        width: 100%;
                    }
                    mat-checkbox {
                        margin: 0;
                    }
                    .remember-forgot-password {
                        font-size: 13px;
                        margin-top: 8px;
                        .remember-me {
                            margin-bottom: 16px;
                        }
                        .forgot-password {
                            font-size: 13px;
                            font-weight: 600;
                            margin-bottom: 16px;
                        }
                    }
                    .submit-button {
                        width: 100%;
                        padding: 10px;
                        margin: 16px auto;
                        display: block;
                        @include media-breakpoint("xs") {
                            width: 90%;
                        }
                    }
                }
                .register {
                    margin: 32px auto 24px auto;
                    font-weight: 600;
                    justify-content: space-between !important;
                    .text {
                        margin-right: 8px;
                    }
                }
                .separator {
                    font-size: 15px;
                    font-weight: 600;
                    margin: 24px auto;
                    position: relative;
                    overflow: hidden;
                    width: 100px;
                    .text {
                        display: inline-flex;
                        position: relative;
                        padding: 0 8px;
                        z-index: 9999;
                        &:before,
                        &:after {
                            content: "";
                            display: block;
                            width: 30px;
                            position: absolute;
                            top: 10px;
                            border-top: 1px solid;
                        }
                        &:before {
                            right: 100%;
                        }
                        &:after {
                            left: 100%;
                        }
                    }
                }
                button {
                    // &.google,
                    // &.facebook {
                    //     width: 192px;
                    //     text-transform: none;
                    //     color: #ffffff;
                    //     font-size: 13px;
                    // }
                    // @include media-breakpoint("xs") {
                    //     width: 80%;
                    // }
                    // &.google {
                    //     background-color: #d73d32;
                    //     margin-bottom: 8px;
                    // }
                    // &.facebook {
                    //     background-color: rgb(63, 92, 154);
                    // }
                    /* Shared */
                }
                .loginBtn {
                    box-sizing: border-box;
                    position: relative;
                    /* width: 13em;  - apply for fixed size */
                    margin: 0.2em;
                    padding: 0 15px 0 46px;
                    border: none;
                    text-align: left;
                    line-height: 34px;
                    white-space: nowrap;
                    border-radius: 0.2em;
                    font-size: 16px;
                    color: #fff;
                }
                .loginBtn:before {
                    content: "";
                    box-sizing: border-box;
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 34px;
                    height: 100%;
                }
                .loginBtn:focus {
                    outline: none;
                }
                .loginBtn:active {
                    box-shadow: inset 0 0 0 32px rgba(0, 0, 0, 0.1);
                }
                /* Facebook */
                .loginBtn--facebook {
                    background-color: #4c69ba;
                    background-image: linear-gradient(#4c69ba, #3b55a0);
                    /*font-family: "Helvetica neue", Helvetica Neue, Helvetica, Arial, sans-serif;*/
                    text-shadow: 0 -1px 0 #354c8c;
                }
                .loginBtn--facebook:before {
                    border-right: #364e92 1px solid;
                    background: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/14082/icon_facebook.png") 6px 6px no-repeat;
                }
                .loginBtn--facebook:hover,
                .loginBtn--facebook:focus {
                    background-color: #5b7bd5;
                    background-image: linear-gradient(#5b7bd5, #4864b1);
                }
                /* Google */
                .loginBtn--google {
                    /*font-family: "Roboto", Roboto, arial, sans-serif;*/
                    background: #dd4b39;
                }
                .loginBtn--google:before {
                    border-right: #bb3f30 1px solid;
                    background: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/14082/icon_google.png") 6px 6px no-repeat;
                }
                .loginBtn--google:hover,
                .loginBtn--google:focus {
                    background: #e74b37;
                }
            }
        }
    }
}